<?php
function idmarca()
{
	include("config.php");
	$query = "SELECT idmarca, descripcion from marca order by descripcion";
	$result = mysql_query($query);

	echo "<select class='round' name='idmarca' id='idmarca' style='width: 155px'>";
	echo "<option value=''>Selecciona la marca</option>";
	while($registro=mysql_fetch_array($result))
	{
		echo "<option value='".$registro[0]."'>".$registro[1]."</option>";
	}
	echo "</select>";
}

function idmodelo()
{
	include("config.php");
	$query = "SELECT idmodelo, descripcion FROM modelo order by descripcion";
	$result = mysql_query($query);
	echo "<select class='round' name='idmodelo' id='idmodelo' style='width: 155px'>";
	echo "<option value=''>Selecciona el modelo</option>";
	echo "</select>";
}

function idfabricacion()
{
	echo "<select class='round' name='idfabricacion' id='idfabricacion' style='width: 155px'>";
		$numero = date ("Y");
		echo "<option value=''>Selecciona el a&ntilde;o</option>";
		while($numero>=1995)
			{
				echo "<option value='".$numero."'";
				echo ">".$numero."</option>";
				$numero--;
			} 
	echo "</select>";
}

function fecha()
{
	echo "<select class='round' name='dia' id='dia' style='width: 42px'>";
		$dia = 1;
		while($dia<=31)
			{
				echo "<option value='".$dia."'";
				echo ">".$dia."</option>";
				$dia++;
			} 
	echo "</select>";
	echo "<select class='round' name='mes' id='mes' style='width: 53px'>";
		echo "<option value='1'>Ene</option>";
		echo "<option value='2'>Feb</option>";
		echo "<option value='3'>Mar</option>";
		echo "<option value='4'>Abr</option>";
		echo "<option value='5'>May</option>";
		echo "<option value='6'>Jun</option>";
		echo "<option value='7'>Jul</option>";
		echo "<option value='8'>Ago</option>";
		echo "<option value='9'>Sep</option>";
		echo "<option value='10'>Oct</option>";
		echo "<option value='11'>Nov</option>";
		echo "<option value='12'>Dic</option>";
	echo "</select>";
	echo "<select class='round' name='anio' id='anio' style='width: 58px'>";
		$anio = 1998;
		while($anio>=1910)
			{
				echo "<option value='".$anio."'";
				echo ">".$anio."</option>";
				$anio--;
			} 
}

//variables valores por defecto  

$valorplaca = "";
$valorsa = "";

$validamarca = "";
$validamodelo = "";
$validafab = "";
$validaprecio = "";


//Validacion de datos enviados  
if(isset($_POST['send'])){
	
    if($_POST['idmarca']=='')  
        $validamarca = "error";  	
    if($_POST['idmodelo']=='')  
        $validamodelo = "error";  	
    if($_POST['idfabricacion']=='')  
        $validafab = "error";  	

    //Guardamos valores para que no tenga que reescribirlos  
	$valorplaca = $_POST['placa'];
	

    //Comprobamos si todo ha ido bien  
    if($validamarca != "error" && $validamodelo != "error" && $validafab != "error")  
        $status = 1;  

}
?>

<html>
	<head>
		<title>TuSeguroPeru.com</title>
		<link media=all href="estilos2.css" type=text/css rel=stylesheet>
		<script type="text/javascript" src="js/jquery.js"></script>
		<script type="text/javascript">
			 function anular(e) {
				  tecla = (document.all) ? e.keyCode : e.which;
				  return (tecla != 13);
			 }

			$(document).ready(function() {
				/* COMBOBOX */
				$("#idmarca").change(function(event)
					{
						var idmarca = $(this).find(':selected').val();
						$("#pidmodelo").html("<img src='picture_library/loading2.gif'width='30px' />");
						$("#pidmodelo").load('cargar_datos_seguro_vehicular.php?buscar=modelos&idmarca='+idmarca+'&valor=0');
					});

				$("#idmarca").live("change",function(event)
					{
						var idmarca = $(this).find(':selected').val();
						$("#pidmodelo").html("<img src='picture_library/loading2.gif'width='30px' />");
						$("#pidmodelo").load('cargar_datos_seguro_vehicular.php?buscar=modelos&idmarca='+idmarca+'&valor=0');
					});				
				$("#idmodelo").live("change",function(event)
					{
						obtenerprecio();
					});
				$("#idfabricacion").live("change",function(event)
					{
						obtenerprecio();
					});
		});
		</script>
	</head>
<body>

	<?php if(!isset($status)): ?>  

	<form method="post" name="formulario" action="form_cliente_soat.php">
		<table class="roundTable" style="padding-top: 10px; padding-bottom: 5px; margin: 0 auto; border: white 1px solid; color:#424E8A; font: 80% Arial; background-color:#F0D6FF; padding-left: 15px; padding-right: 15px; opacity: 0.9;">
			<tr>
				<td colspan="2" style="font: bold 140% Arial; border: black 1px; text-align:center; color: red">
					<p>Pide tu SOAT en l&iacute;nea:</p>
				</td>
			</tr>
			<tr>
				<td>
					<label for="placa">Placa:</label>
				</td>
				<td id="pplaca">
					<input type="text" onBlur="buscar_placa()" onkeypress="return anular(event)" class="round" id="placa" name="placa" maxlength="6" size="17" placeholder="Ingrese la placa" value="<?php echo $valorplaca ?>">
				</td>
			</tr>

			<tr>
				<td>
					<label for="marca">Marca:</label>
				</td>
				<td id="pidmarca">
					<?php idmarca(); ?>
				</td>
			</tr>
			<tr>
				<td>
					<label for="modelo">Modelo:</label>
				</td>
				<td id="pidmodelo">
					<?php idmodelo(); ?>
				</td>
			</tr>
			<tr>
				<td>
					<label for="fabricacion">A&ntilde;o de fabricaci&oacute;n:</label>
				</td>
				<td id="pidfabricacion">
					<?php idfabricacion(); ?>
				</td>
			</tr>

			<tr>
			</tr>
			<tr>
				<td colspan="2" style="border: black 1px; text-align:center;">
					<p><input type="submit" name="submit" value="" style='border:0; width:143px; height:40px; background:url(picture_library/BOTON_COTIZAR.png)' /></p>
				</td>
			</tr>

		</table>
		<table>
			<tr>
				<td>
					<p id="rimac"></p>
					<p id="positiva"></p>
				</td>
			</tr>
		</table>
	</form>

	<?php else: ?>  
		<?php	include("form_cliente_soat.php"); ?> 
	<?php endif; ?>

	<script type="text/javascript">
	function obtenerprecio()
		{
			var idmodelo = $("#idmodelo").find(':selected').val();
			var aniofab = $("#idfabricacion").find(':selected').val();
			var fecha = new Date();
			var anioactual = fecha.getFullYear();
			var aniofab2 = anioactual - aniofab
			$("#pprecio").html("<img src='picture_library/loading2.gif'width='30px' />");
			$("#pprecio").load('cargar_datos_seguro_vehicular.php?buscar=precio&idmodelo='+idmodelo+'&aniofab='+aniofab2);
		}
	function buscar_placa()
		{
			var placa = document.getElementById("placa").value;

			$("#pidmarca").html("<img src='picture_library/loading2.gif'width='30px' />");
			$("#pidmarca").load('cargar_datos_seguro_vehicular.php?buscar=placamarca&placa='+placa);
			
			$("#pidmodelo").html("<img src='picture_library/loading2.gif'width='30px' />");
			$("#pidmodelo").load('cargar_datos_seguro_vehicular.php?buscar=placamodelo&placa='+placa);
			
			$("#pidfabricacion").html("<img src='picture_library/loading2.gif'width='30px' />");
			$("#pidfabricacion").load('cargar_datos_seguro_vehicular.php?buscar=placaanio&placa='+placa);

		}
	</script>
</body>
</html>